# RPM spec file for SUSE OpenSUSE created by configure script.
Summary: 	Primary library functionality for Rodent applications	
Name: 		librfm5
Version: 	5.3.16.4
Release: 	1
License:	GPL-3.0
URL: 		http://xffm.org/librfm
Source0: 	%{name}-%{version}.tar.gz
Group: 		Development/Libraries/X11
BuildRoot: 	%{_tmppath}/%{name}-root

Requires:	libdbh2 >= 5.0.13
Requires:	libtubo0 >= 5.0.13
Requires:	glib2 >= 2.22.5
Requires:	gtk3 >= 2.18.9
Requires:	libxml2 >= 2.4.0
Requires:	cairo >= 1.8.8
Requires:	librsvg >= 2.26.0
Requires:	libzip >= 0.9
BuildRequires:	pkg-config
BuildRequires:	file-devel >= 5.0
BuildRequires:	intltool >= 0.41.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	libdbh2-devel >= 5.0.13
BuildRequires:	libtubo0-devel >= 5.0.13
BuildRequires:  libzip-devel >= 0.9
BuildRequires:	glib2-devel >= 2.22.5
BuildRequires:	gtk3-devel >= 2.18.9
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	cairo-devel >= 1.8.8
BuildRequires:	librsvg-devel >= 2.26.0




%description
Basic library functionality for Rodent applications. This includes
two libraries: low level and high level, plus the minimum icon 
emblems and translations.


%prep
%setup -q

%build
%configure  
make -j4
strip -s Build/lib/.libs/librfm.so.3.0.0
strip -s Build/lib/.libs/librodent.so.3.0.0
strip -s Build/modules/.libs/libmime.so
strip -s Build/modules/.libs/libbcrypt.so
strip -s Build/modules/.libs/libmimemagic.so
strip -s Build/modules/.libs/libcompletion.so
strip -s Build/modules/.libs/librun.so
strip -s Build/modules/.libs/libsettings.so
strip -s Build/modules/.libs/libicons.so
strip -s Build/modules/.libs/libcombobox.so
strip -s Build/modules/.libs/libxmltree.so
strip -s Build/modules/.libs/libproperties.so
strip -s Build/modules/.libs/libcallbacks.so
strip -s Build/modules/.libs/libmimezip.so

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

%find_lang %{name}

%files  -f %{name}.lang

%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%{_libdir}/librfm.so.3.0.0
%{_libdir}/librodent.so.3.0.0
%{_datadir}/icons/rfm/README
%{_datadir}/icons/rfm/scalable/emblems/*
%{_datadir}/icons/rfm/scalable/stock/*
%{_datadir}/images/*
%{_datadir}/rfm/rmodules/mime-module.xml
%{_datadir}/rfm/rmodules/icons.mime.xml
%{_datadir}/rfm/rmodules/keybind.xsd
%{_libdir}/rfm/rmodules/libmime.so
%{_libdir}/rfm/rmodules/libbcrypt.so
%{_libdir}/rfm/rmodules/libmimemagic.so
%{_libdir}/rfm/rmodules/libcompletion.so
%{_libdir}/rfm/rmodules/librun.so
%{_libdir}/rfm/rmodules/libsettings.so
%{_libdir}/rfm/rmodules/libicons.so
%{_libdir}/rfm/rmodules/libcombobox.so
%{_libdir}/rfm/rmodules/libxmltree.so
%{_libdir}/rfm/rmodules/libproperties.so
%{_libdir}/rfm/rmodules/libcallbacks.so
%{_libdir}/rfm/rmodules/libmimezip.so

%if 0%{?suse_version} == 0
%{_libdir}/librfm.so.3
%{_libdir}/librodent.so.3
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Oct 30 2013  <edscott@users.sf.net> 5.3.16.4-1
- RPM release

%package devel
Summary:Primary library functionality for Rodent applications
Requires: librfm5 >= 5.3.16.4

%description devel
Basic library functionality for Rodent applications. This includes
two libraries: low level and high level, plus the minimum icon 
emblems and translations.


%files devel
%defattr(-,root,root)
%doc README TODO NEWS COPYING AUTHORS
%{_includedir}/rfm/*
%{_libdir}/librfm.so
%{_libdir}/librodent.so
%{_libdir}/pkgconfig/librfm.pc

%if 0%{?suse_version} >= 1000
%{_libdir}/librfm.so.3
%{_libdir}/librodent.so.3
%endif


